Create or update a skill

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
PUT /eTech/rest/ws/staff/v1/skills/code:{skillCode}

Creates a new skill if the skillCode provided does not exist, else updates the existing skill.

Rate limit range : Standard

Path parameters

  • skillCode string Required

    Code of the skill. Case insensitive.

    Minimum length is 1, maximum length is 10.

application/json

Body Required

  • name string Required

    Skill name.

    Minimum length is 1, maximum length is 30.

Responses

  • 201 application/json

    Skill created.

  • 204 application/json

    Skill updated.

  • 400 application/json

    Bad Request - validation errors.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

PUT /eTech/rest/ws/staff/v1/skills/code:{skillCode}
curl \
 --request PUT 'https://ws-eu1.praxedo.com/eTech/rest/ws/staff/v1/skills/code:FIBER' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "name": "Fiber Optic Splicing Certified"
}'
Request examples
{
  "name": "Fiber Optic Splicing Certified"
}
{
  "name": "HVAC System Repair"
}
Response examples (201)
Response examples (204)
Response examples (400)
{
  "errors": [
    {
      "code": "staff.skill.code.mandatory",
      "message": "Missing code in path."
    }
  ],
  "errorReference": "669b11d0ae8145aa9b106b049091b371"
}
{
  "errors": [
    {
      "code": "staff.skill.code.length",
      "message": "The code length must not exceed 10 characters."
    }
  ],
  "errorReference": "a569b11d0ae8145aa9b106b049091b371"
}
{
  "errors": [
    {
      "code": "staff.skill.name.length",
      "message": "The name length must not exceed 30 characters."
    }
  ],
  "errorReference": "k899b11d0ae8145aa9b106b049091b371"
}
{
  "errors": [
    {
      "code": "staff.skill.name.mandatory",
      "message": "Property name is required."
    }
  ],
  "errorReference": "k899b11d0ae8145aa9b106b049091b371"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}